Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.instrumentation
Class PortletTracker

    java.lang.Object
      com.endeca.portal.instrumentation.PortletTracker

All Implemented Interfaces:
  PortletInstrumentor

    public class PortletTracker

extends java.lang.Object
implements PortletInstrumentor

Concrete class to track all portlet executions, both at a global level and at a per-portlet level

Author:
  dan

Method Summary
`void` | `addPortletExecution(RequestTracker requestTracker, javax.portlet.GenericPortlet portlet, javax.portlet.PortletMode mode, javax.portlet.WindowState windowState, long ms)` Tracks a single portlet execution
`protected java.lang.Object` | `clone()`
`PortletMetric` | `getGlobalMetric()` Returns the metric representing all portlet executions, lumped together
`protected static PortletTracker` | `getInstance()`
`PortletMetric` | `getMetric(java.lang.String key)` Returns the metric representing only the executions of a specified portlet
`java.util.Set<java.lang.String>` | `getPortletKeys()` Returns the set of all portlet keys being tracked

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    protected static PortletTracker getInstance()

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `java.lang.Object`
  Throws:
    `java.lang.CloneNotSupportedException`

### getGlobalMetric

    public PortletMetric getGlobalMetric()

  Returns the metric representing all portlet executions, lumped together

  Returns:
    the global metric

### getMetric

    public PortletMetric getMetric(java.lang.String key)

  Returns the metric representing only the executions of a specified portlet

  Parameters:
    `key` - the key for the portlet, typically the portlet name
  Returns:
    the portlet's metric

### getPortletKeys

    public java.util.Set<java.lang.String> getPortletKeys()

  Returns the set of all portlet keys being tracked

  Returns:
    the set of all portlet keys being tracked

### addPortletExecution

    public void addPortletExecution(RequestTracker requestTracker,
                                    javax.portlet.GenericPortlet portlet,
                                    javax.portlet.PortletMode mode,
                                    javax.portlet.WindowState windowState,
                                    long ms)

  Description copied from interface: `PortletInstrumentor`
  Tracks a single portlet execution

  Specified by:
    `addPortletExecution` in interface `PortletInstrumentor`
    `portlet` - the portlet that executed
    `mode` - the PortletMode in which the portlet executed
    `ms` - the execution time of the Portlet

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD